Skip to main content
GET
/
dr
/
v1
/
patient
/
{patient_id}
Get patient details by profile id
curl --request GET \
  --url https://api.eka.care/dr/v1/patient/{patient_id} \
  --header 'auth: <auth>'
{
  "patient_id": "189673451298376",
  "partner_patient_id": "MO1298376",
  "first_name": "Raj",
  "middle_name": "",
  "last_name": "Sharma",
  "gender": "M",
  "dob": "1988-11-30",
  "email": "raj.sharma@example.com",
  "mobile": "+919876543210",
  "address": {
    "line1": "B504, Seabreeze Heights,",
    "city": "Mumbai",
    "pincode": "400001"
  },
  "tag": "tag#1",
  "partner_meta": {
    "key1": "value1"
  },
  "created_at": 1732607432,
  "relations": [
    {
      "relation": "Husband",
      "pid": "144051779835569"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://ekacare-mintlify-changelog-1776733918.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

auth
string
required

The auth token of the business. It is used to authenticate the client. This should be fetched from auth API.

Path Parameters

patient_id
string
required

Patient's Eka profile id

Response

OK

patient_id
string
Example:

"189673451298376"

partner_patient_id
string
Example:

"MO1298376"

first_name
string
Example:

"Raj"

middle_name
string
Example:

""

last_name
string
Example:

"Sharma"

gender
enum<string>
Available options:
M,
F,
O
Example:

"M"

dob
string<date>
Example:

"1988-11-30"

email
string
Example:

"raj.sharma@example.com"

mobile
string
Example:

"+919876543210"

address
object
tag
string
Example:

"tag#1"

partner_meta
object
Example:
{ "key1": "value1" }
created_at
integer
Example:

1732607432

relations
object[]